> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mentioned.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Competitors

> Returns all tracked competitors for your workspace



## OpenAPI

````yaml GET /competitors
openapi: 3.0.3
info:
  title: Mentioned API
  description: API for accessing your competitor monitoring and Reddit visibility data
  version: 1.0.0
servers:
  - url: https://mentioned.to/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /competitors:
    get:
      summary: List competitors
      description: Returns all tracked competitors for your workspace
      operationId: listCompetitors
      parameters:
        - name: active_only
          in: query
          description: Only return active competitors
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Competitor'
                  count:
                    type: integer
        '401':
          description: Invalid or missing API key
components:
  schemas:
    Competitor:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        website_url:
          type: string
          nullable: true
        keywords:
          type: array
          items:
            type: string
          nullable: true
        active:
          type: boolean
        is_ambiguous:
          type: boolean
        created_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key from Settings > API. Format: `rm_live_xxx`'

````